A Apple lançou nesta segunda-feira (14) uma atualização de segurança para o iOS 12.5.4, corrigindo um trio de vulnerabilidades relacionadas à corrupção de memória e ao WebKit, o “motor” usado para o processamento de páginas web.

A atualização está disponível para o iPhone 5s, iPhone 6, iPhone 6 Plus, iPod Touch de 6ª geração, iPad Air, iPad Mini 2 e iPad Mini 3. Todos estes aparelhos são incompatíveis com versões mais recentes do iOS (13 em diante), mas apesar disso a Apple ainda corrige falhas graves de segurança.

publicidade
iPhone. Imagem: Shutterstock
iOS 12.5.4 foi feito para proteger iPhones antigos, como o 6S. Imagem: Anna Hoychuk / Shutterstock

Segundo a Apple, “esta atualização fornece correções de segurança importantes e é recomendada para todos os usuários”, dizem as notas da versão, que tem o número de compilação (Build Number) 16h50.

Uma das falhas, a CVE-2021-30737, é relacionada ao sistema, mais especificamente ao processamento incorreto de certificados no formato ASN.1. As outras duas (CVE-2021-30761 e CVE-2021-30762) são relacionadas ao WebKit. Todas permitem a execução arbitrária de código, burlando as proteções embutidas no sistema operacional.

Leia mais:

A Apple anunciou a próxima versão do iOS, chamada iOS 15, em 7 de junho, primeiro dia do evento para desenvolvedores WWDC21. O sistema, que estará disponível aos consumidores em setembro, traz como novidades a possibilidade de incluir usuários de Android e Windows em chamadas do FaceTime, o recurso “Share Play” para compartilhamento de conteúdo durante chamadas, novas ferramentas para controle de notificações, áudio espacial em fones compatíveis e mais.

O iOS 15 irá rodar em todos os aparelhos que já suportam o iOS 14. A Apple também anunciou que irá continuar liberando atualizações de segurança para o iOS 14, evitando que os usuários sejam “forçados” a migrar para a nova versão para se manter seguros.

Já assistiu aos nossos novos vídeos no YouTube? Inscreva-se no nosso canal!